- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Namespace List
- Namespace Members

# PlugCanDos Namespace Reference

## Variables
const char * | canDoSendVstEvents = "sendVstEvents"
| plug-in will send Vst events to Host
const char * | canDoSendVstMidiEvent = "sendVstMidiEvent"
| plug-in will send MIDI events to Host
const char * | canDoReceiveVstEvents = "receiveVstEvents"
| plug-in can receive MIDI events from Host
const char * | canDoReceiveVstMidiEvent = "receiveVstMidiEvent"
| plug-in can receive MIDI events from Host
const char * | canDoReceiveVstTimeInfo = "receiveVstTimeInfo"
| plug-in can receive Time info from Host
const char * | canDoOffline = "offline"
| plug-in supports offline functions (offlineNotify, offlinePrepare, offlineRun)
const char * | canDoMidiProgramNames = "midiProgramNames"
| plug-in supports function getMidiProgramName ()
const char * | canDoBypass = "bypass"
| plug-in supports function setBypass ()

## Detailed Description

plugCanDos strings Host -> Plug-in

## Variable Documentation

const char* PlugCanDos::canDoSendVstEvents = "sendVstEvents"

plug-in will send Vst events to Host

const char* PlugCanDos::canDoSendVstMidiEvent = "sendVstMidiEvent"

plug-in will send MIDI events to Host

const char* PlugCanDos::canDoReceiveVstEvents = "receiveVstEvents"

plug-in can receive MIDI events from Host

const char* PlugCanDos::canDoReceiveVstMidiEvent = "receiveVstMidiEvent"

plug-in can receive MIDI events from Host

const char* PlugCanDos::canDoReceiveVstTimeInfo = "receiveVstTimeInfo"

plug-in can receive Time info from Host

const char* PlugCanDos::canDoOffline = "offline"

plug-in supports offline functions (offlineNotify, offlinePrepare, offlineRun)

const char* PlugCanDos::canDoMidiProgramNames = "midiProgramNames"

plug-in supports function getMidiProgramName ()

const char* PlugCanDos::canDoBypass = "bypass"

plug-in supports function setBypass ()

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.